Package org.apache.sysds.runtime.instructions.fed

## Class ReorgFEDInstruction

- java.lang.Object
- - org.apache.sysds.runtime.instructions.Instruction
  - - org.apache.sysds.runtime.instructions.fed.FEDInstruction
    - - org.apache.sysds.runtime.instructions.fed.ComputationFEDInstruction
      - - org.apache.sysds.runtime.instructions.fed.UnaryFEDInstruction
        - - org.apache.sysds.runtime.instructions.fed.ReorgFEDInstruction

All Implemented Interfaces:
  `LineageTraceable`

    public class ReorgFEDInstruction
    extends UnaryFEDInstruction

### Nested Class Summary

Nested Classes
`static class` `ReorgFEDInstruction.DiagMatrix`
`static class` `ReorgFEDInstruction.Rdiag`
`static class` `ReorgFEDInstruction.SliceMatrix`

### Nested classes/interfaces inherited from class org.apache.sysds.runtime.instructions.fed.FEDInstruction

`FEDInstruction.FederatedOutput, FEDInstruction.FEDType`

### Nested classes/interfaces inherited from class org.apache.sysds.runtime.instructions.Instruction

`Instruction.IType`

### Field Summary

### Fields inherited from class org.apache.sysds.runtime.instructions.fed.ComputationFEDInstruction

`input1, input2, input3, output`

### Fields inherited from class org.apache.sysds.runtime.instructions.Instruction

`DATATYPE_PREFIX, FEDERATED_INST_PREFIX, GPU_INST_PREFIX, INSTRUCTION_DELIM, LITERAL_PREFIX, OPERAND_DELIM, SP_INST_PREFIX, VALUETYPE_PREFIX`

### Constructor Summary

Constructors
`ReorgFEDInstruction​(Operator op, CPOperand in1, CPOperand out, String opcode, String istr)`
`ReorgFEDInstruction​(Operator op, CPOperand in1, CPOperand out, String opcode, String istr, FEDInstruction.FederatedOutput fedOut)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static ReorgFEDInstruction` `parseInstruction​(String str)`
`static ReorgFEDInstruction` `parseInstruction​(ReorgCPInstruction rinst)`
`static ReorgFEDInstruction` `parseInstruction​(ReorgSPInstruction rinst)`
`void` `processInstruction​(ExecutionContext ec)` This method should be used to execute the instruction.
`org.apache.commons.lang3.tuple.Pair<FederationMap,​Long>` `rollFedMap​(List<org.apache.commons.lang3.tuple.Pair<FederatedRange,​FederatedData>> oldMap, long inID, long outEndID, long outStartID, long shift, long rlen, FTypes.FType type)`

### Methods inherited from class org.apache.sysds.runtime.instructions.fed.UnaryFEDInstruction

`parseInstruction, parseInstruction`

### Methods inherited from class org.apache.sysds.runtime.instructions.fed.ComputationFEDInstruction

`getLineageItem, getOutputVariableName`

### Methods inherited from class org.apache.sysds.runtime.instructions.fed.FEDInstruction

`getFEDInstructionType, getTID, getType, setTID`

### Methods inherited from class org.apache.sysds.runtime.instructions.Instruction

`getBeginColumn, getBeginLine, getEndColumn, getEndLine, getExtendedOpcode, getFilename, getGraphString, getInstID, getInstructionString, getLineNum, getOpcode, getOperator, postprocessInstruction, preprocessInstruction, printMe, requiresLabelUpdate, setInstID, setLocation, setLocation, setLocation, setLocation, toString, updateInstructionThreadID`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.apache.sysds.runtime.lineage.LineageTraceable

`getLineageItems, hasSingleLineage`

### Constructor Detail

#### ReorgFEDInstruction

    public ReorgFEDInstruction​(Operator op,
                               CPOperand in1,
                               CPOperand out,
                               String opcode,
                               String istr,
                               FEDInstruction.FederatedOutput fedOut)

#### ReorgFEDInstruction

    public ReorgFEDInstruction​(Operator op,
                               CPOperand in1,
                               CPOperand out,
                               String opcode,
                               String istr)

### Method Detail

#### parseInstruction

    public static ReorgFEDInstruction parseInstruction​(ReorgCPInstruction rinst)

#### parseInstruction

    public static ReorgFEDInstruction parseInstruction​(ReorgSPInstruction rinst)

#### parseInstruction

    public static ReorgFEDInstruction parseInstruction​(String str)

#### processInstruction

    public void processInstruction​(ExecutionContext ec)

Description copied from class: `Instruction`
This method should be used to execute the instruction.

Specified by:
  `processInstruction` in class `Instruction`
Parameters:
  `ec` - execution context

#### rollFedMap

    public org.apache.commons.lang3.tuple.Pair<FederationMap,​Long> rollFedMap​(List<org.apache.commons.lang3.tuple.Pair<FederatedRange,​FederatedData>> oldMap,
                                                                                    long inID,
                                                                                    long outEndID,
                                                                                    long outStartID,
                                                                                    long shift,
                                                                                    long rlen,
                                                                                    FTypes.FType type)